=== debian/control ===
Source: i2p
Maintainer: Masayuki Hatta <mhatta@debian.org>
Section: net
Standards-Version: 4.1.3
Priority: optional
Homepage: https://geti2p.net/
Vcs-Browser: https://salsa.debian.org/debian/i2p
Vcs-Git: https://salsa.debian.org/debian/i2p.git
Build-Depends: debhelper (>= 9.20160709)
 ,ant (>= 1.8)
 ,debconf
 ,default-jdk
 ,libjetty9-java (>= 9.2.22)
 ,libtaglibs-standard-jstlel-java
 ,libtomcat8-java
 ,dh-apparmor
 ,bash-completion
 ,gettext
 ,libgetopt-java
 ,libgmp-dev (>= 2:5.0.5)
 ,libservice-wrapper-java
 ,po-debconf

Package: i2p
Architecture: all
Section: net
Priority: optional
Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
 adduser,
 debconf,
 i2p-router (>= 0.8.6-5),
 libjbigi-jni,
 lsb-base (>= 3.0-6),
 service-wrapper
Description: Invisible Internet Project (I2P) - anonymous network
 I2P is an anonymizing network, offering a simple layer that identity-sensitive
 applications can use to securely communicate. All data is wrapped with several
 layers of encryption, and the network is both distributed and dynamic, with no
 trusted parties.
 .
 This package depends on the router, jbigi, the java service wrapper, and
 includes support to run I2P as a daemon.

Package: libjbigi-jni
Architecture: any
Section: java
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, i2p-router
Homepage: https://geti2p.net/
Description: Invisible Internet Project (I2P) - libjbigi library
 This Package contains the libjbigi JNI library (and on x86 platforms, jcpuid).
 .
 libjbigi is a math library that is part of the I2P installation.  Use of this
 library greatly enhances the efficiency of cryptographic algorithms, such as
 the ones used by I2P. You can expect to see a 5-7x speed improvement on certain
 tasks, such as elGamal encryption/decryption.

Package: i2p-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Suggests: i2p, default-jdk-doc
Description: Invisible Internet Project (I2P) - developer documentation
 I2P is an anonymizing network, offering a simple layer that identity-sensitive
 applications can use to securely communicate. All data is wrapped with several
 layers of encryption, and the network is both distributed and dynamic, with no
 trusted parties.
 .
 This package contains the Javadoc files.

Package: i2p-router
Architecture: all
Section: net
Priority: optional
Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
 openjdk-11-jre-headless | openjdk-8-jre-headless | default-jre-headless | java11-runtime-headless | java8-runtime-headless,
 geoip-database,
 gettext-base,
 libgetopt-java,
 libjetty9-java,
 libtaglibs-standard-jstlel-java,
 libtomcat8-java,
Replaces: i2p ( << 0.8.6-5)
Breaks: i2p (<< 0.8.6-5)
Recommends: libjbigi-jni, ttf-dejavu
Suggests: apparmor
 ,privoxy
 ,syndie
Description: Invisible Internet Project (I2P) - Router
 I2P is an anonymizing network, offering a simple layer that identity-sensitive
 applications can use to securely communicate. All data is wrapped with several
 layers of encryption, and the network is both distributed and dynamic, with no
 trusted parties.
 .
 TrueType fonts (such as those provided in the package ttf-dejavu) are required
 in order to generate graphs.
