## i2p 0.9.35

=== debian/changelog ===
i2p (0.9.35-2) unstable; urgency=medium

  * d/control: Bumped Standards-Version to 4.1.5.
  * d/control: Now Build-Depends on default-jdk.
  * d/control: i2p-router now depends on sensible-utils.
  * d/control: i2p-router now depends on openjdk 8, 10(default for sid) & 11.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 03 Aug 2018 09:21:32 -0700

i2p (0.9.35-1) unstable; urgency=medium

  * New upstream release.
  * i2p should depend on apparmor - closes: #902426

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 25 Jul 2018 14:54:05 +0900

i2p (0.9.34-2) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.4.
  * Built with OpenJDK 10, default-jdk for the current
    Debian sid - closes: #897322

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 22 Jun 2018 16:49:49 +0900
