=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p
@@ -27,6 +27,7 @@
 Priority: optional
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
  adduser,
+ apparmor,
  debconf,
  i2p-router (>= 0.8.6-5),
  libjbigi-jni,
@@ -81,6 +82,7 @@
  libjetty9-java,
  libtaglibs-standard-jstlel-java,
  libtomcat8-java,
+ sensible-utils
 Replaces: i2p ( << 0.8.6-5)
 Breaks: i2p (<< 0.8.6-5)
 Recommends: libjbigi-jni, ttf-dejavu
