=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 JAVA_HOME=/usr/lib/jvm/default-java
-
 
 I2P=$(CURDIR)/pkg-temp
 ROUTERVERSION=$(CURDIR)/router/java/src/net/i2p/router/RouterVersion.java
@@ -82,12 +81,11 @@
 	@echo "Already found deb in version, not doing anything"
 endif
 	@# build options
-	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.version=9" > $(CURDIR)/override.properties
+#	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-	@/bin/echo -e "javac.compilerargs=-source 1.8 -target 1.8" >> $(CURDIR)/override.properties
+#	@/bin/echo -e "javac.compilerargs=-source 1.8 -target 1.8" >> $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
+#	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties
 
 	@# debian and ubuntu: everywhere
@@ -150,3 +148,4 @@
 
 	@# debian and ubuntu: everywhere
 	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
