## i2p 0.9.38

=== debian/changelog ===
i2p (0.9.38-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for build failure (Closes: #924847)
  * Update Swedish debconf strings (Closes: #925515)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 15 Apr 2019 22:12:02 +0200

i2p (0.9.38-3) unstable; urgency=medium

  * Improved handling of /usr/share/i2p/wrapper.config.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 31 Jan 2019 09:33:18 +0900

i2p (0.9.38-2) unstable; urgency=medium

  * Now uses ucf for handling /etc/i2p/wrapper.config - closes: #920456

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 30 Jan 2019 13:24:34 +0900

i2p (0.9.38-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 24 Jan 2019 14:32:35 +0900

i2p (0.9.37-4) unstable; urgency=medium

  * d/control: Bumped Standards-Versions to 4.3.0.
  * d/control, d/p/0005: Now recommends fonts-dejavu instead of ttf-dejavu
    - closes: #919683
  * d/p/0004: Added Javadoc build workaround.
  * d/p/0006: Fixed plugin loading (cherrypicked from .38).

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 19 Jan 2019 15:42:27 +0900

i2p (0.9.37-3) unstable; urgency=medium

  * d/p/0003: Now depends on Tomcat 9 - closes: #915463

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 14 Dec 2018 17:27:55 +0900

i2p (0.9.37-2) unstable; urgency=medium

  * d/p/0002: Fixed FTBFS with Jetty 9.4, thanks Emmanuel Bourg!
    - closes: #916177
  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 13 Dec 2018 15:15:46 +0900

i2p (0.9.37-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 07 Oct 2018 23:30:56 +0900

i2p (0.9.36-2) unstable; urgency=medium

  * d/control: Bumped Standards-Version to 4.2.1.
  * d/p/0002: Added a workaround for JspC hung up with the newer
    Tomcat8.  See https://bugs.debian.org/908884.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 17 Sep 2018 09:25:49 +0900

i2p (0.9.36-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bumped Standards-Version to 4.2.0.
  * d/control: Made i2p-router depends on famfamfam-flag-png.
  * d/i2p-router.install: Fixed some typo.
  * d/i2p-r.links, d/i2p-r.pre, d/rules: Added famfamfam-flag-png support.
  * d/rules: Added reproducible build flag.
  * d/i2p-r.man, d/i2p.man, d/po: Updated translations.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 24 Aug 2018 09:33:27 -0700

i2p (0.9.38-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.38

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Fri, 23 Jan 2019 12:12:12 +0000

i2p (0.9.37-1ubuntu1) bionic; urgency=medium

  * New upstream version 0.9.37

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Fri, 05 Oct 2018 12:12:12 +0000

i2p (0.9.36-2ubuntu1) bionic; urgency=medium

  * New upstream version 0.9.36

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 23 Aug 2018 12:12:12 +0000

i2p (0.9.35-1ubuntu1) artful; urgency=medium

  * New upstream version 0.9.35

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 27 Jun 2018 12:12:12 +0000
