=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p
@@ -10,13 +10,14 @@
  ,ant (>= 1.8)
  ,debconf
  ,default-jdk
- ,libjetty9-java (>= 9.2.22)
+ ,libjetty9-java
  ,libtaglibs-standard-jstlel-java
- ,libtomcat8-java
+ ,libtomcat9-java
  ,dh-apparmor
  ,bash-completion
  ,gettext
  ,libgetopt-java
+ ,libjson-simple-java (<< 3)
  ,libgmp-dev (>= 2:5.0.5)
  ,libservice-wrapper-java
  ,po-debconf
@@ -24,15 +25,15 @@
 Package: i2p
 Architecture: all
 Section: net
-Priority: optional
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
  adduser,
  apparmor,
  debconf,
  i2p-router (>= 0.8.6-5),
  libjbigi-jni,
- lsb-base (>= 3.0-6),
- service-wrapper
+ lsb-base,
+ service-wrapper,
+ ucf (>= 0.28)
 Description: Invisible Internet Project (I2P) - anonymous network
  I2P is an anonymizing network, offering a simple layer that identity-sensitive
  applications can use to securely communicate. All data is wrapped with several
@@ -45,7 +46,6 @@
 Package: libjbigi-jni
 Architecture: any
 Section: java
-Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, i2p-router
 Homepage: https://geti2p.net/
 Description: Invisible Internet Project (I2P) - libjbigi library
@@ -59,7 +59,6 @@
 Package: i2p-doc
 Architecture: all
 Section: doc
-Priority: optional
 Depends: ${misc:Depends}
 Suggests: i2p, default-jdk-doc
 Description: Invisible Internet Project (I2P) - developer documentation
@@ -73,27 +72,28 @@
 Package: i2p-router
 Architecture: all
 Section: net
-Priority: optional
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
  openjdk-11-jre-headless | openjdk-8-jre-headless | default-jre-headless | java11-runtime-headless | java8-runtime-headless,
  geoip-database,
  gettext-base,
  libgetopt-java,
+ libjson-simple-java (<< 3),
  libjetty9-java,
  libtaglibs-standard-jstlel-java,
- libtomcat8-java,
+ libtomcat9-java,
+ famfamfam-flag-png,
  sensible-utils
 Replaces: i2p ( << 0.8.6-5)
 Breaks: i2p (<< 0.8.6-5)
-Recommends: libjbigi-jni, ttf-dejavu
+Recommends: libjbigi-jni, fonts-dejavu
 Suggests: apparmor
  ,privoxy
  ,syndie
-Description: Invisible Internet Project (I2P) - Router
+Description: Invisible Internet Project (I2P) - router
  I2P is an anonymizing network, offering a simple layer that identity-sensitive
  applications can use to securely communicate. All data is wrapped with several
  layers of encryption, and the network is both distributed and dynamic, with no
  trusted parties.
  .
- TrueType fonts (such as those provided in the package ttf-dejavu) are required
- in order to generate graphs.
+ TrueType fonts (such as those provided in the package fonts-dejavu) are
+ required in order to generate graphs.
