=== debian/watch ===
version=4

http://download.i2p2.no/releases/(^[0-9].+)$/i2psource_(.+)\.tar\.bz2 debian debian/repack.sh
