## i2p 0.9.41

=== debian/changelog ===
i2p (0.9.41-2) unstable; urgency=medium

  * Bumped to Standards-Versions to 4.4.0 (really, this time).

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 14 Aug 2019 17:01:07 -0700

i2p (0.9.41-1) unstable; urgency=medium

  * New upstream release - closes: #928691
  * Updated French debconf string - closes: #929471
  * Bumped to Standards-Versions to 4.4.0.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 15 Jul 2019 10:34:06 +0200
