=== debian/changelog ===
i2p (0.9.44-3) unstable; urgency=medium

  * Refine conffile handling.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 30 Dec 2019 10:21:35 +0100

i2p (0.9.44-2) unstable; urgency=medium

  * Use ucf again - closes: #920456

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 29 Dec 2019 11:33:06 +0100

i2p (0.9.44-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 27 Dec 2019 17:24:00 +0100

i2p (0.9.42-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 08 Sep 2019 10:25:07 -0400
