=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p
