=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	rm -f $(CURDIR)/apps/susidns/src/lib/standard.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstl.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstlel.jar
+	rm -f $(CURDIR)/apps/i2pcontrol/build/jsonrpc.war
 	debconf-updatepo
 
 override_dh_auto_build:
@@ -83,9 +84,7 @@
 	@# build options
 #	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs=-source 1.8 -target 1.8" >> $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.reproducible=true" >> $(CURDIR)/override.properties
 
@@ -115,7 +114,7 @@
 	@# this is roughly the same as tomcat9-jsp-api.jar, we use this one
 	ln -sf /usr/share/java/jsp-api-2.3.jar $(CURDIR)/apps/jetty/jettylib/jsp-api.jar
 
-	@# debian and ubuntu: wheezy-backports, jessie+, xenial+
+	@# debian and ubuntu: buster, disco
 	@/bin/echo -e "with-libtomcat9-java=true" >> $(CURDIR)/override.properties
 	mkdir -p $(CURDIR)/apps/jetty/jettylib
 	ln -sf /usr/share/java/tomcat9-api.jar $(CURDIR)/apps/jetty/jettylib/tomcat-api.jar
@@ -149,3 +148,7 @@
 
 	@# debian and ubuntu: everywhere
 	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/libintl.jar $(CURDIR)/core/java/build/libintl.jar
+
+	@# debian and ubuntu: everywhere
