## i2p 0.9.47

=== debian/changelog ===
i2p (0.9.47-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 27 Aug 2020 06:37:19 +0900

i2p (0.9.46-1) unstable; urgency=medium

  * New upstream release.
  [ Gilles Filippini ]
  * Tentative support for json-simple >= 3 (Closes: #960589)

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 23 Aug 2020 00:35:44 +0900

i2p (0.9.45-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 12 Apr 2020 23:50:00 +0900
