=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p
@@ -17,7 +17,7 @@
  ,bash-completion
  ,gettext
  ,libgetopt-java
- ,libjson-simple-java (<< 3)
+ ,libjson-simple-java
  ,libgmp-dev (>= 2:5.0.5)
  ,libservice-wrapper-java
  ,po-debconf
