=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,17 @@
 export BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 #export DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
+# debian: bullseye - transitioning
+JSON_SIMPLE_VERSION = $(shell dpkg -l libjson-simple-java | grep '^ii' | awk '{print $$3}')
+JSON_SIMPLE_3 = $(shell dpkg --compare-versions '$(JSON_SIMPLE_VERSION)' '>' '3.1.1-1~' && echo yes || echo no)
+ifeq (yes,$(JSON_SIMPLE_3))
+JSON_SIMPLE_PACKAGE = com.github.cliftonlabs.json_simple
+JSON_EXCEPTION = JsonException
+else
+JSON_SIMPLE_PACKAGE = org.json.simple
+JSON_EXCEPTION = DeserializationException
+endif
+
 %:
 	dh $@ --with systemd,bash-completion
 
@@ -59,6 +70,8 @@
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstlel.jar
 	rm -f $(CURDIR)/apps/i2pcontrol/build/jsonrpc.war
 	debconf-updatepo
+	find . -type f -name \*.java.json-simple \
+	  -exec sh -c 'file={} && mv $$file $${file%.json-simple}' \; -print
 
 override_dh_auto_build:
 
@@ -139,16 +152,3 @@
 	@#ln -sf /usr/share/java/glassfish-appserv-jstl.jar $(CURDIR)/apps/susidns/src/lib/standard.jar
 
 	@# debian and ubuntu: everywhere
-	@#/bin/echo -e "with-libjakarta-taglibs-standard-java=true" >> $(CURDIR)/override.properties
-	@#ln -sf /usr/share/java/standard.jar $(CURDIR)/apps/susidns/src/lib/standard.jar
-
-	@# debian and ubuntu: everywhere
-	@#/bin/echo -e "with-libjstl1.1-java=true" >> $(CURDIR)/override.properties
-	@#ln -sf /usr/share/java/jstl1.1.jar $(CURDIR)/apps/susidns/src/lib/jstl.jar
-
-	@# debian and ubuntu: everywhere
-	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
-	@mkdir -p $(CURDIR)/core/java/build
-	ln -sf /usr/share/java/libintl.jar $(CURDIR)/core/java/build/libintl.jar
-
-	@# debian and ubuntu: everywhere
