## i2p 0.9.48

=== debian/changelog ===
i2p (0.9.48-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 03 Dec 2020 14:51:17 +0900
