=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Vcs-Browser: https://salsa.debian.org/debian/i2p
 Vcs-Git: https://salsa.debian.org/debian/i2p.git
 Build-Depends: debhelper (>= 9.20160709)
- ,ant (>= 1.8)
+ ,ant (>= 1.9.8)
  ,debconf
  ,default-jdk
- ,libjetty9-java
+ ,libjetty9-java (>= 9.4)
  ,libtaglibs-standard-jstlel-java
  ,libtomcat9-java
  ,dh-apparmor
  ,bash-completion
  ,gettext
  ,libgetopt-java
- ,libjson-simple-java
+ ,libjson-simple-java (>= 2),libjson-simple-java (<< 3)
  ,libgmp-dev (>= 2:5.0.5)
  ,libservice-wrapper-java
  ,po-debconf
@@ -73,19 +73,19 @@
 Architecture: all
 Section: net
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
- openjdk-11-jre-headless | openjdk-8-jre-headless | default-jre-headless | java11-runtime-headless | java8-runtime-headless,
+ openjdk-14-jre-headless | openjdk-13-jre-headless | openjdk-12-jre-headless | openjdk-11-jre-headless | default-jre-headless | java14-runtime-headless | java13-runtime-headless | java12-runtime-headless | java11-runtime-headless,
  geoip-database,
  gettext-base,
  libgetopt-java,
- libjson-simple-java (<< 3),
- libjetty9-java,
+ libjson-simple-java (>= 2),libjson-simple-java (<< 3),
+ libjetty9-java (>= 9.4),
  libtaglibs-standard-jstlel-java,
  libtomcat9-java,
  famfamfam-flag-png,
  sensible-utils
 Replaces: i2p ( << 0.8.6-5)
 Breaks: i2p (<< 0.8.6-5)
-Recommends: libjbigi-jni, fonts-dejavu
+Recommends: libjbigi-jni
 Suggests: apparmor
  ,privoxy
  ,syndie
@@ -94,6 +94,3 @@
  applications can use to securely communicate. All data is wrapped with several
  layers of encryption, and the network is both distributed and dynamic, with no
  trusted parties.
- .
- TrueType fonts (such as those provided in the package fonts-dejavu) are
- required in order to generate graphs.
