=== debian/rules ===
--- 
+++ 
@@ -40,17 +40,6 @@
 export BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 #export DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
-# debian: bullseye - transitioning
-JSON_SIMPLE_VERSION = $(shell dpkg -l libjson-simple-java | grep '^ii' | awk '{print $$3}')
-JSON_SIMPLE_3 = $(shell dpkg --compare-versions '$(JSON_SIMPLE_VERSION)' '>' '3.1.1-1~' && echo yes || echo no)
-ifeq (yes,$(JSON_SIMPLE_3))
-JSON_SIMPLE_PACKAGE = com.github.cliftonlabs.json_simple
-JSON_EXCEPTION = JsonException
-else
-JSON_SIMPLE_PACKAGE = org.json.simple
-JSON_EXCEPTION = DeserializationException
-endif
-
 %:
 	dh $@ --with systemd,bash-completion
 
@@ -68,10 +57,7 @@
 	rm -f $(CURDIR)/apps/susidns/src/lib/standard.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstl.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstlel.jar
-	rm -f $(CURDIR)/apps/i2pcontrol/build/jsonrpc.war
 	debconf-updatepo
-	find . -type f -name \*.java.json-simple \
-	  -exec sh -c 'file={} && mv $$file $${file%.json-simple}' \; -print
 
 override_dh_auto_build:
 
@@ -95,9 +81,7 @@
 	@echo "Already found deb in version, not doing anything"
 endif
 	@# build options
-#	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
+	@/bin/echo -e "javac.release=11" > $(CURDIR)/override.properties
 	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.reproducible=true" >> $(CURDIR)/override.properties
 
@@ -146,9 +130,36 @@
 	ln -sf /usr/share/java/taglibs-standard-jstlel.jar $(CURDIR)/apps/susidns/src/lib/jstlel.jar
 
 	@# debian and ubuntu: everywhere
-	@#/bin/echo -e "with-glassfish-javaee=true" >> $(CURDIR)/override.properties
-	@# glassfish-javaee.jar has ancient and conflicting classes, e.g. javax.mail
-	@#ln -sf /usr/share/java/glassfish-javaee.jar $(CURDIR)/apps/susidns/src/lib/jstl.jar
-	@#ln -sf /usr/share/java/glassfish-appserv-jstl.jar $(CURDIR)/apps/susidns/src/lib/standard.jar
+	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/libintl.jar $(CURDIR)/core/java/build/libintl.jar
 
 	@# debian and ubuntu: everywhere
+	@/bin/echo -e "with-libgetopt-java=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/gnu-getopt.jar $(CURDIR)/core/java/build/gnu-getopt.jar
+
+	@# debian: jessie+; ubuntu: trusty+
+	@/bin/echo -e "with-libjson-simple-java=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/json-simple.jar $(CURDIR)/core/java/build/json-simple.jar
+
+	@# debian: everywhere; ubuntu: trusty+
+	@/bin/echo -e "with-famfamfam-flag-png=true" >> $(CURDIR)/override.properties
+
+	TZ=UTC JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8 ant preppkg-unix javadoc
+	echo router.updateDisabled=true > $(I2P)/router.config
+	mv $(I2P)/runplain.sh $(I2P)/i2prouter-nowrapper
+
+binary-arch: build-arch
+build-arch:
+	# build jbigi
+	cd $(CURDIR)/core/c/jbigi && ./build_jbigi.sh dynamic
+	# build jcpuid
+	cd $(CURDIR)/core/c/jcpuid && ./build.sh
+
+binary: binary-arch binary-indep
+
+createcopyright:
+	@echo " *** Creating debian/copyright*** "
+	@rm -f $(CURDIR)/debian/copyright
