=== debian/watch ===
version=4

https://deb.i2p2.de/pool/main/i/i2p/i2p_(.+).orig.tar.bz2
